Subject: bug#50646: 28.0.50; narrow-to-defun sometimes narrows to wrong defun

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Sep 2021 16:43:23 +0300

> Date: Mon, 20 Sep 2021 00:53:48 +1200
> From: Phil Sainty <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I now have this:
> 
>    "Like `insert-file-contents', but only reads in the file literally.
> See `insert-file-contents' for an explanation of the parameters.
> 
> Insert after point the contents of file FILENAME as a sequence of
> ASCII characters with no special encoding or conversion.
> 
> This is contrary to other functions, like `insert-file-contents' and
> `find-file', which may modify a buffer in several ways after reading
> into the buffer, due to Emacs features such as format decoding,
> character code conversion, `find-file-hook', automatic uncompression,
> etc.
> 
> Using `insert-file-contents-literally' ensures that none of these
> modifications will take place."
> 
> 
> 
> I took "as a sequence of ASCII characters with no special encoding or
> conversion" from (info "(emacs) Visiting") but I see that wording used
> by `insert-file-literally' is "Insert contents of file FILENAME into
> buffer after point with no conversion", and I figure the two should
> probably use the same wording?  Is there a preference?

The "ASCII characters" part is wrong.  I suggest "sequence of
uninterpreted bytes" instead.